<?php
/**********************************************************************
***********************************************************************/
class customers_app extends application
{
	function __construct()
	{
		parent::__construct("orders", _($this->help_context = "&Sales")); 
	
		$this->add_module(_("Transactions"));
		$this->add_lapp_function(0, _("Sales &Quotation Entry"),"sales/sales_quotation_entry.php?NewQuotation=Yes", 'SA_SALESQUOTE', MENU_TRANSACTION);
		$this->add_lapp_function(0, _("Sales &Order Entry"),"sales/sales_order_entry.php?NewOrder=Yes", 'SA_SALESORDER', MENU_TRANSACTION);
//		$this->add_lapp_function(0, _("Direct &Invoice"),"sales/sales_order_entry.php?NewInvoice=0", 'SA_SALESINVOICE', MENU_TRANSACTION);
//                $this->add_lapp_function(0, _("Direct &Delivery"),"sales/sales_order_entry.php?NewDelivery=0", 'SA_SALESDELIVERY', MENU_TRANSACTION);
        
		$this->add_lapp_function(0, "","");
//		$this->add_lapp_function(0, _("&Invoice Against Sales Orders"),"sales/inquiry/sales_orders_view.php?type=".ST_SALESINVOICE."&OutstandingOnly=1", 'SA_SALESINVOICE', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Invoice Against Sales Orders"),"sales/inquiry/outstanding_sales_orders_inquiry.php?", 'SA_OUTSTANDING_SALES_ORDERS_INQ', MENU_TRANSACTION);


//		$this->add_lapp_function(0, _("&Invoice Against Sales Delivery"),
//			"sales/inquiry/sales_deliveries_view.php?OutstandingOnly=1", 'SA_SALESINVOICE', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Delivery Against Sales Invoices"),"sales/inquiry/sales_invoices_view.php?OutstandingOnly=1", 'SA_OUTSTANDING_SALES_INVOICES_INQ', MENU_TRANSACTION);
		$this->add_lapp_function(0, "","");
                $this->add_lapp_function(0, _("&POS Invoice"),"sales/pos_invoice.php?NewInvoice=0", 'SA_SALESORDER', MENU_TRANSACTION);

//                $this->add_lapp_function(0, "","");
//                $this->add_lapp_function(0, _("&Laundry Orders"),
//			"sales/laundry_orders.php?", 'SA_SALELAUNRYORDERS', MENU_TRANSACTION);
//                $this->add_lapp_function(0, _("&Sales Order Approvers"),
//			"sales/manage/sales_order_approvers.php?", 'SA_SALELAUNRYORDERS', MENU_TRANSACTION); SA_SALESDELIVERY

                
		
                $this->add_rapp_function(0, _("&Approve Quotations"),"sales/inquiry/sales_orders_view.php?type=32&ApproveOrdersMode=Yes", 'SA_APPROVE_SALES_QUOTES', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Approve Sales Orders"),"sales/inquiry/sales_orders_view.php?ApproveOrdersMode=Yes", 'SA_APPROVE_SALES_ORDERS', MENU_TRANSACTION);

                $this->add_rapp_function(0, "","");

                $this->add_rapp_function(0, _("&Reopen Sales Quotations"),"sales/reopen_sales_quotations.php?", 'SA_APPROVE_SALES_ORDERS', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Reopen Sales Orders"),"sales/reopen_sales_orders.php?", 'SA_APPROVE_SALES_ORDERS', MENU_TRANSACTION);
        
//         $this->add_rapp_function(0, "","");
//         
//		$this->add_rapp_function(0, _("&Create and Print Recurrent Invoices"),"sales/create_recurrent_invoices.php?", 'SA_SALESINVOICE', MENU_TRANSACTION);
//        
		$this->add_rapp_function(0, "","");
		
                $this->add_rapp_function(0, _("&Post Dated Cheque Receipts"),"sales/pdcs_in_hand.php?", 'SA_SALESPDCSINHAND', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Customer &Payments"),"sales/customer_payments.php?", 'SA_SALESPAYMNT', MENU_TRANSACTION);
		$this->add_rapp_function(0, _("Customer &Credit Notes"),"sales/credit_note_entry.php?NewCredit=Yes", 'SA_SALESCREDIT', MENU_TRANSACTION);
		$this->add_rapp_function(0, _("&Allocate Customer Payments or Credit Notes"),"sales/allocations/customer_allocation_main.php?", 'SA_SALESALLOC', MENU_TRANSACTION);
        
        
//                $this->add_rapp_function(0, "","");
                $this->add_rapp_function(0, _("&Upload POS Sales"),
			"sales/sales_upload/sales_upload.php?", 'SA_SALESUPLOADPOSSALES', MENU_TRANSACTION);

                
                
		$this->add_module(_("Inquiries and Reports"));
		$this->add_lapp_function(1, _("Sales Quotation I&nquiry"),"sales/inquiry/sales_orders_view.php?type=".ST_SALESQUOTE, 'SA_SALES_QUOTE_INQ', MENU_INQUIRY);
		$this->add_lapp_function(1, _("Sales Order &Inquiry"),"sales/inquiry/sales_orders_inquiry.php?type=".ST_SALESORDER, 'SA_SALES_ORDER_INQ', MENU_INQUIRY);
		$this->add_lapp_function(1, _("Customer Transaction &Inquiry"),"sales/inquiry/customer_transactions_inquiry.php?", 'SA_CUST_TRAN_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Customer Transaction &Detail Inquiry"),"sales/inquiry/customer_transaction_detail_inquiry.php?", 'SA_CUST_TRAN_DETAIL_INQ', MENU_INQUIRY);
//		$this->add_lapp_function(1, _("POS Customer Account Payments Inquiry"),"sales/inquiry/pos_customer_account_payments_inquiry.php?", 'SA_CUST_TRAN_DETAIL_INQ', MENU_INQUIRY);
		$this->add_lapp_function(1, _("&POS Invoicese Inquiry"),"sales/inquiry/pos_invoices_inquiry.php?", 'SA_SALES_ORDER_INQ', MENU_INQUIRY);
                
                $this->add_lapp_function(1, "","");
		$this->add_rapp_function(1, _("Sales Summary"),"sales/inquiry/sales_summary.php?", 'SA_SALES_ORDER_INQ', MENU_INQUIRY);
		$this->add_lapp_function(1, _("Customer Allocation &Inquiry"),"sales/inquiry/customer_allocation_inquiry.php?", 'SA_CUST_ALLOC_INQ', MENU_INQUIRY);	
        $this->add_rapp_function(1, _("Customer Balances"),"sales/inquiry/customer_balances.php?", 'SA_CUST_BALANCE', MENU_INQUIRY);
        $this->add_rapp_function(1, "","");
        $this->add_rapp_function(1, _("Customer and Sales &Reports"),"reporting/reports_main.php?Class=".RC_CUSTOMER, 'SA_SALESANALYTIC', MENU_REPORT);        

		$this->add_module(_("Maintenance"));
                $this->add_lapp_function(2, _("Add and Manage &Customers"),"sales/manage/customers.php?", 'SA_CUSTOMER', MENU_ENTRY);
		$this->add_lapp_function(2, _("Customer &Branches"),"sales/manage/customer_branches.php?", 'SA_CUSTOMER', MENU_ENTRY);
		$this->add_lapp_function(2, _("Sales Order Approvers"),"sales/manage/sales_order_approvers.php?", 'SA_SALESGROUP', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _("Sales &Groups"),"sales/manage/sales_groups.php?", 'SA_SALESGROUP', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("Recurrent &Invoices"),"sales/manage/recurrent_invoices.php?", 'SA_SRECURRENT', MENU_MAINTENANCE);        
        
                $this->add_rapp_function(2, _("&Template Delivery"),"sales/inquiry/sales_orders_view.php?DeliveryTemplates=Yes", 'SA_SALESDELIVERY', MENU_MAINTENANCE);
		$this->add_rapp_function(2, _("&Template Invoice"),"sales/inquiry/sales_orders_view.php?InvoiceTemplates=Yes", 'SA_SALESINVOICE', MENU_MAINTENANCE);
        
                $this->add_rapp_function(2, "","");        
		$this->add_rapp_function(2, _("Sales T&ypes"),"sales/manage/sales_types.php?", 'SA_SALESTYPES', MENU_MAINTENANCE);
		$this->add_rapp_function(2, _("Sales &Persons"),"sales/manage/sales_people.php?", 'SA_SALESMAN', MENU_MAINTENANCE);
		$this->add_rapp_function(2, _("Sales &Areas"),"sales/manage/sales_areas.php?", 'SA_SALESAREA', MENU_MAINTENANCE);
		$this->add_rapp_function(2, _("Credit &Status Setup"),"sales/manage/credit_status.php?", 'SA_CRSTATUS', MENU_MAINTENANCE);

		$this->add_extensions();
	}
}


?>